<?php

$manager = new imageManager($db);

// Affectation dans la variable $images_data du résultat de la méthode getImagesData

$images_data = $manager->readImagesData();

?>

<h1><?php echo WEB_TITLE ?></h1>

<ul>

<?php if(!empty($images_data)) : ?>
    <?php foreach($images_data as $image_data) : ?>
        <li>
            <p><img src="<?php echo THUMB_DIR_URL . $image_data['filename'] ?>"></p>
            <p><?php echo $image_data['title'] ?></p>
            <p><?php echo $image_data['descr'] ?></p>
        </li>
    <?php endforeach ?>
<?php endif ?>

</ul>

<?php

$constants = get_defined_constants(true);

echo '<pre>';
print_r($constants['user']);
echo '</pre>';